---
title: Get a detected cookie
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Page Shield](https://developers.cloudflare.com/api/go/resources/page_shield)

[Cookies](https://developers.cloudflare.com/api/go/resources/page_shield/subresources/cookies)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a detected cookie

client.PageShield.Cookies.Get(ctx, cookieID, query) (\*[CookieGetResponse](<https://developers.cloudflare.com/api/go/resources/page_shield#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/page\_shield/cookies/{cookie\_id}

Returns a cookie detected on the zone by cookie ID.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Page Shield``Domain Page Shield Read``Domain Page Shield``Page Shield Read``Zone Settings Write``Zone Settings Read`

##### ParametersExpand Collapse

cookieID string

Identifier

maxLength32

[Link to this property](<#(resource)%20page_shield.cookies%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20cookie_id%20%3E%20(schema)>)

<details>

<summary>

query CookieGetParams

</summary>

ZoneID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20page_shield.cookies%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.cookies%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CookieGetResponse struct{…}

</summary>

ID string

Identifier

maxLength32

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

FirstSeenAt Time

formatdate-time

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20first_seen_at">Link to this property</a>

Host string

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

LastSeenAt Time

formatdate-time

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20last_seen_at">Link to this property</a>

Name string

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

Type CookieGetResponseType

</summary>

One of the following:

const CookieGetResponseTypeFirstParty CookieGetResponseType = "first\_party"

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

const CookieGetResponseTypeUnknown CookieGetResponseType = "unknown"

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

DomainAttribute stringOptional

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20domain_attribute">Link to this property</a>

ExpiresAttribute TimeOptional

formatdate-time

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20expires_attribute">Link to this property</a>

HTTPOnlyAttribute boolOptional

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20http_only_attribute">Link to this property</a>

MaxAgeAttribute int64Optional

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20max_age_attribute">Link to this property</a>

PageURLs \[]stringOptional

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20page_urls">Link to this property</a>

PathAttribute stringOptional

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20path_attribute">Link to this property</a>

<details>

<summary>

SameSiteAttribute CookieGetResponseSameSiteAttributeOptional

</summary>

One of the following:

const CookieGetResponseSameSiteAttributeLax CookieGetResponseSameSiteAttribute = "lax"

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20same_site_attribute%20%3E%20(member)%200">Link to this property</a>

const CookieGetResponseSameSiteAttributeStrict CookieGetResponseSameSiteAttribute = "strict"

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20same_site_attribute%20%3E%20(member)%201">Link to this property</a>

const CookieGetResponseSameSiteAttributeNone CookieGetResponseSameSiteAttribute = "none"

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20same_site_attribute%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20same_site_attribute">Link to this property</a>

SecureAttribute boolOptional

<a href="#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)%20%3E%20(property)%20secure_attribute">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.cookies%20%3E%20(model)%20CookieGetResponse%20%3E%20(schema)>)

### Get a detected cookie

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/page_shield"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  cookie, err := client.PageShield.Cookies.Get(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    page_shield.CookieGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", cookie.ID)
}
```

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "first_seen_at": "2021-08-18T10:51:08Z",
    "host": "blog.cloudflare.com",
    "last_seen_at": "2021-09-02T09:57:54Z",
    "name": "session_id",
    "type": "first_party",
    "domain_attribute": "cloudflare.com",
    "expires_attribute": "2021-10-02T09:57:54Z",
    "http_only_attribute": true,
    "max_age_attribute": 3600,
    "page_urls": [
      "blog.cloudflare.com/page1",
      "blog.cloudflare.com/page2"
    ],
    "path_attribute": "/",
    "same_site_attribute": "strict",
    "secure_attribute": true
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "first_seen_at": "2021-08-18T10:51:08Z",
    "host": "blog.cloudflare.com",
    "last_seen_at": "2021-09-02T09:57:54Z",
    "name": "session_id",
    "type": "first_party",
    "domain_attribute": "cloudflare.com",
    "expires_attribute": "2021-10-02T09:57:54Z",
    "http_only_attribute": true,
    "max_age_attribute": 3600,
    "page_urls": [
      "blog.cloudflare.com/page1",
      "blog.cloudflare.com/page2"
    ],
    "path_attribute": "/",
    "same_site_attribute": "strict",
    "secure_attribute": true
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```